Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.codecs.blockterms
Class TermsIndexReaderBase

    java.lang.Object
      org.apache.lucene.codecs.blockterms.TermsIndexReaderBase

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  FixedGapTermsIndexReader, VariableGapTermsIndexReader

    public abstract class TermsIndexReaderBase

extends Object
implements Closeable

`BlockTermsReader` interacts with an instance of this class to manage its terms index. The writer must accept indexed terms (many pairs of BytesRef text + long fileOffset), and then this reader must be able to retrieve the nearest index term to a provided term text.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` | `TermsIndexReaderBase.FieldIndexEnum` Similar to TermsEnum, except, the only "metadata" it reports for a given indexed term is the long fileOffset into the main terms dictionary file.

Constructor Summary
`TermsIndexReaderBase()`

Method Summary
`abstract void` | `close()`
`abstract int` | `getDivisor()`
`abstract TermsIndexReaderBase.FieldIndexEnum` | `getFieldEnum(FieldInfo fieldInfo)`
`abstract boolean` | `supportsOrd()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermsIndexReaderBase

    public TermsIndexReaderBase()

Method Detail

### getFieldEnum

    public abstract TermsIndexReaderBase.FieldIndexEnum getFieldEnum(FieldInfo fieldInfo)

### close

    public abstract void close()
                        throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

### supportsOrd

    public abstract boolean supportsOrd()

### getDivisor

    public abstract int getDivisor()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.